<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSessionsTable extends Migration
{
    public function up()
    {
        Schema::create('sessions', function (Blueprint $table) {
            $table->increments('id');
            $table->string('level');
            $table->string('class_type');
            $table->string('subject');
            $table->time('start_time');
            $table->time('end_time');
            $table->date('start_dt');
            $table->date('end_dt');
            $table->longText('session_name');
            $table->decimal('cost_per_sub', 15, 2);
            $table->string('remarks');
            $table->string('resources_person');
            $table->timestamps();
            $table->softDeletes();
        });

    }
}